/* Blog */

// herd

.herd {
    article.post {
        & + .post {
            padding-top: 40px;
            border-top: 4px solid var(--brand-color-4);
        }

        h3 {
            margin-top: 0;
        }

        &.sticky h3:before {
            @include icon($fa-var-thumbtack);
        }
    }

    .tmb {
        width: 100%;
        margin-bottom: 15px;
        display: inline-block;
        background-color: $oc-gray-0;
        border: 1px solid $oc-gray-3;

        img {
            margin: {
                left: auto;
                right: auto;
            };
        }
    }

    p.more {
        @extend %reset;
    }

    a.more,
    a.more-link {
        display: block;
        clear: both;
        text-align: right;
        font-weight: bold;

        &:after {
            @include icon($fa-var-chevron-right);
            transition: left 0.2s ease;

            @extend %after-icon;

            position: relative;
            left: 0;
        }

        &:hover:after {
            left: 2px;
        }
    }
}

// herd fluid

.herd-fluid {
    display: flex;
    flex-wrap: wrap;
    margin: {
        left: -15px;
        right: -15px;
    };

    h2 {
        display: none;
    }

    #wp_page_numbers {
        flex-grow: 10;
        min-width: 100%;
    }

    article.post {
        margin: {
            left: 15px;
            right: 15px;
            bottom: 30px;
        };
        flex-grow: 1;
        min-width: 200px;
        max-width: 400px;
        padding: 20px;
        border: 1px solid $oc-gray-3;

        &.post-tmb {
            flex-grow: 2;
            min-width: 400px;
            max-width: 800px;
            display: flex;

            .tmb {
                flex-grow: 1;
                flex-shrink: 1;
            }

            .post-inner {
                flex-grow: 1;
                flex-shrink: 1;
                min-width: 50%;
                max-width: 50%;
            }
        }
    }

    .tmb {
        display: inline-block;
        background-color: darken($white, 10%);

        img {
            margin: {
                left: auto;
                right: auto;
            };
        }
    }

    .more {
        text-align: right;
        font-weight: bold;

        a {
            &:after {
                @include icon($fa-var-chevron-right);
                transition: left 0.2s ease;

                @extend %after-icon;

                position: relative;
                left: 0;
            }

            &:hover:after {
                left: 2px;
            }
        }
    }
}